
From: Andrey Panin <pazke@donpac.ru>

This moves es7000_plat global variable out of DMI code.

Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/dmi_scan.c |    2 --
 25-akpm/arch/i386/kernel/mpparse.c  |    1 +
 2 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/i386/kernel/dmi_scan.c~es7000-dmi-cleanup arch/i386/kernel/dmi_scan.c
--- 25/arch/i386/kernel/dmi_scan.c~es7000-dmi-cleanup	2005-03-14 22:49:42.000000000 -0800
+++ 25-akpm/arch/i386/kernel/dmi_scan.c	2005-03-14 22:49:42.000000000 -0800
@@ -12,8 +12,6 @@
 #include <linux/bootmem.h>
 
 
-int es7000_plat = 0;
-
 struct dmi_header
 {
 	u8	type;
diff -puN arch/i386/kernel/mpparse.c~es7000-dmi-cleanup arch/i386/kernel/mpparse.c
--- 25/arch/i386/kernel/mpparse.c~es7000-dmi-cleanup	2005-03-14 22:49:42.000000000 -0800
+++ 25-akpm/arch/i386/kernel/mpparse.c	2005-03-14 22:49:42.000000000 -0800
@@ -982,6 +982,7 @@ void __init mp_override_legacy_irq (
 	return;
 }
 
+int es7000_plat;
 
 void __init mp_config_acpi_legacy_irqs (void)
 {
_
